Search documentation of wx

# wxTaskBarIconEvent (wx v2.6)

Copy Markdown View Source

The event class used by `wxTaskBarIcon`.

For a list of the event macros meant to be used with `wxTaskBarIconEvent`, please look at `wxTaskBarIcon` description.

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxTaskBarIconEvent

## Summary

### Types

wxTaskBarIcon()
wxTaskBarIconEvent()
wxTaskBarIconEventType()

## Types

# wxTaskBarIcon()

    -type wxTaskBarIcon() :: #wxTaskBarIcon{type :: wxTaskBarIconEvent:wxTaskBarIconEventType()}.

# wxTaskBarIconEvent()

    -type wxTaskBarIconEvent() :: wx:wx_object().

# wxTaskBarIconEventType()

    -type wxTaskBarIconEventType() ::
              taskbar_move | taskbar_left_down | taskbar_left_up | taskbar_right_down | taskbar_right_up |
              taskbar_left_dclick | taskbar_right_dclick.